## ecj 3.8.2

=== debian/changelog ===
ecj (3.8.2-4) unstable; urgency=low

  * Build using gcj-4.8 on all architectures.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Jul 2013 01:17:16 +0200

ecj (3.8.2-2) unstable; urgency=low

  * Build using gcj-4.6 on mips.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Apr 2013 18:56:06 +0200

ecj (3.8.2-1) unstable; urgency=low

  * Update to 3.8.2 (built from the R3_8_2 tag, identifies itself as 3.8.3).
    Supports Java7. Closes: #693441.
  * Remove copyright information from ICU and jsch. Closes: #622296.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Apr 2013 00:34:31 +0200

ecj (3.5.1-6) unstable; urgency=low

  * Allow package to build with gcj-4.6 on ia64.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Jan 2013 18:54:59 +0100

ecj (3.5.1-5) unstable; urgency=low

  * Fix the libgcj so version.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Jan 2013 17:36:18 +0100

ecj (3.5.1-4) unstable; urgency=low

  * Rebuild using GCC-4.7.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Apr 2012 14:47:52 +0200

ecj (3.5.1-3) unstable; urgency=low

  [ James Page ]
  * Add maven artifact deployment to resolve FTBFS for 
    tomcat-maven-plugin (LP: #835769):
    - debian/control: added maven-repo-helper to Build-Depends-Indep
    - debian/rules: install maven artifacts, added get-orig-poms target 
      to retrieve original pom files
    - debian/libecj-java.poms: POM file locator.
    - debian/poms/ecj.pom: Upstream POM file from Maven repo1.
    - debian/libecj-java.install: removed - install handled by m-r-h.

  [ Matthias Klose ]
  * Remove Jerry Haltom and Michael Koch from uploaders.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Sep 2011 23:27:58 +0200

ecj (3.5.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable armhf architecture for ecj1 (Closes: #631070) 

 -- Hector Oron <zumbi@debian.org>  Wed, 13 Jul 2011 22:13:12 +0100

ecj (3.5.1-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Move ecj1 binary to the multiarch gcc directory so gcj can find it.
  * Create a link to ecj1 in our build directory so that gcj can find it
    for rebootstrapping ecj1.

  [ Matthias Klose]
  * Build with default gcj-jdk.
  * ecj1: Provide a compatibility symlink in /usr/lib/gcc/ecj1.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jun 2011 19:25:06 +0200

ecj (3.5.1-1) unstable; urgency=low

  * Update to the final 3.5.1 release.
  * Update GCCMain.java from rhug/eclipse-gcj.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Oct 2009 11:18:07 +0200

ecj (3.5+20090820-1) unstable; urgency=low

  * Update to the R3_5_maintenance branch.
    - Fixes eclipse #285466, bootstrap error in OpenJDK.
  * Set sections to java.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Aug 2009 19:34:12 +0200

ecj (3.5-1) unstable; urgency=low

  * New upstream version.
  * Update to the R3_5_maintenance branch 20090728.
  * Update GCCMain.java.
  * Build using gcj-4.4-jdk on all architectures.

 -- Matthias Klose <doko@debian.org>  Tue, 28 Jul 2009 18:55:13 +0200

ecj (3.4.2-4) unstable; urgency=low

  * Build using gcj-4.4-jdk on hppa.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Feb 2009 22:34:28 +0100

ecj (3.4.2-1) unstable; urgency=low

  * New upstream version 3.4.2, built from the v_894_R34x tag,
    R3_4_maintenance branch.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Feb 2009 22:34:28 +0100

ecj (3.3.0+0728-11) unstable; urgency=low

  * Build again for alpha.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Feb 2009 09:31:00 +0100

ecj (3.3.0+0728-10) unstable; urgency=low

  * libecj-java: Recommend default-jre-headless | java2-runtime-headless
    instead of java2-runtime.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Sep 2008 10:52:13 +0000

ecj (3.3.0+0728-9) unstable; urgency=low

  * Don't build on alpha, arm, hppa.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Apr 2008 04:12:54 +0200

ecj (3.3.0+0728-8) unstable; urgency=low

  * Fix build failure on alpha.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Jan 2008 19:58:40 +0100

ecj (3.3.0+0728-7) unstable; urgency=low

  * Build using gcj-4.3 on all archs but alpha.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Jan 2008 19:11:08 +0100

ecj (3.3.0+0728-6) unstable; urgency=low

  * Build-depend on libecj-java on arm.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Jan 2008 22:07:01 +0100

ecj (3.3.0+0728-5) unstable; urgency=medium

  * Make ecj architecture dependent, dependencies depend on the jvm used.
  * ecj: Depend on gij-x.y.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Sep 2007 19:22:58 +0200

ecj (3.3.0+0728-4) unstable; urgency=low

  * Fix name of renamed jar file (Michael Koch).

 -- Matthias Klose <doko@debian.org>  Wed, 05 Sep 2007 00:08:06 +0200

ecj (3.3.0+0728-3) unstable; urgency=medium

  * Use ecj-standalone.jar to build the ecj-gcj and ecj1 binaries.
  * ecj-gcj: Depend on ecj. Closes: #440259.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Aug 2007 23:33:08 +0200

ecj (3.3.0+0728-2) unstable; urgency=low

  * Tighten build-dependency on libgcj-bc.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Aug 2007 20:12:38 +0200

ecj (3.3.0+0728-1) unstable; urgency=medium

  * New upstream version, taken from the R3_3_maintenance tag.
  * Build using gcj-4.2 on all architectures except alpha and m68k.
  * Stop building the ecj-bootstrap and ecj-bootstrap-gcj packages.
  * Build a libecj-java-gcj package.
  * Build an ecj1 package on arm, BC-compile ecj1.
  * Update debian/copyright, eclipse is EPL, not CPL anymore.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Aug 2007 12:35:30 +0200

ecj (3.3.0-2) unstable; urgency=low

  * Apply fix for upstream report #195317.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Jul 2007 12:05:37 +0200

ecj (3.3.0-1) unstable; urgency=low

  * New upstream release.
  * Don't reference the transitional bootstrap package in the README.
    Closes: #426887.
  * Split out the library into libecj-java. Closes: #421621.

 -- Matthias Klose <doko@ubuntu.com>  Sat,  7 Jul 2007 02:13:27 +0200


