=== debian/control ===
Source: ecj
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: cdbs (>= 0.4.90ubuntu9), debhelper (>= 5),
 gcj-jdk (>= 4:4.8.1),
 libgcj-bc (>= 4.6.3),
 libecj-java (>= 3.8.2) [arm], unzip [arm],
 fastjar, ant, zip, dpkg (>= 1.13.19), python, time
Build-Depends-Indep: maven-repo-helper
Build-Conflicts: ecj-bootstrap-gcj (<< 3.8.2)
Standards-Version: 3.9.4

Package: ecj
Architecture: any
Depends: libecj-java (>= ${source:Version}), ${pkg:gij}, ${pkg:libgcjjar}, java-common (>= 0.23), ${misc:Depends}
Recommends: ecj-gcj
Conflicts: ecj-bootstrap (<< 3.2.2), eclipse-ecj
Replaces: ecj-bootstrap (<< 3.2.2), eclipse-ecj
Suggests: ant
Description: standalone version of the Eclipse Java compiler
 This package provides a standalone version of the Eclipse JDT compiler which
 is distributed as part of Eclipse. It passes the JCK (Java Compatibility Kit)
 and is compatible with Java 1.3, 1.4, 1.5, 1.6 and 1.7.

Package: libecj-java
Architecture: all
Depends: java-common (>= 0.23), ${misc:Depends}
Conflicts: ecj-bootstrap (<< 3.2.2), eclipse-ecj
Replaces: ecj-bootstrap (<< 3.2.2), eclipse-ecj, ecj (<< 3.3.0-1)
Recommends: default-jre-headless | java2-runtime-headless | java5-runtime-headless
Suggests: ecj, ant, libecj-java-gcj
Description: Eclipse Java compiler (library)
 This package provides a standalone version of the Eclipse JDT compiler library
 which is distributed as part of Eclipse. It passes the JCK (Java Compatibility
 Kit) and is compatible with Java 1.3, 1.4, 1.5, 1.6 and 1.7.

Package: libecj-java-gcj
Architecture: any
Depends: java-common (>= 0.23), libecj-java (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: ecj-bootstrap-gcj (<< 3.2.2), eclipse-ecj-gcj, ecj-gcj (<< 3.3.0+0728)
Description: Eclipse Java compiler (native library)
 This package provides a standalone version of the Eclipse JDT compiler library
 which is distributed as part of Eclipse. It passes the JCK (Java Compatibility
 Kit) and is compatible with Java 1.3, 1.4, 1.5, 1.6 and 1.7.
 .
 This package contains a native version of libecj-java built using gcj.

Package: ecj1
Architecture: alpha arm armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: java byte code compiler used by gcj
 This package provides a standalone version of the java byte code compiler
 used by gcj.

Package: ecj-gcj
Architecture: any
Depends: ecj (>= ${source:Version}), libecj-java-gcj (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: java-gcj-compat (>= 1.0.69)
Replaces: ecj-bootstrap-gcj (<< 3.2.2), eclipse-ecj-gcj
Conflicts: eclipse-ecj-gcj
Provides: libecj-java-gcj
Description: standalone version of the Eclipse Java compiler (native version)
 This package provides a standalone version of the Eclipse JDT compiler which
 is distributed as part of Eclipse. It passes the JCK (Java Compatibility Kit)
 and is compatible with Java 1.3, 1.4, 1.5, 1.6 and 1.7.
 .
 This package contains a native version of ecj built using gcj.
