## ecj 3.9.0

=== debian/changelog ===
ecj (3.9.0-1) unstable; urgency=medium

  * Update to 4.3.1 (built from the R4_3_1 tag, identifies itself as 3.9.0).

 -- Matthias Klose <doko@debian.org>  Tue, 10 Dec 2013 15:50:07 +0100
