=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  fastjar, ant, zip, dpkg (>= 1.13.19), python, time
 Build-Depends-Indep: maven-repo-helper
 Build-Conflicts: ecj-bootstrap-gcj (<< 3.8.2)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: ecj
 Architecture: any
