=== debian/rules ===
--- 
+++ 
@@ -96,6 +96,8 @@
 	rm -rf build/bin
 	mkdir -p build/bin
 	cp -r src/org.eclipse.jdt.core/org build/bin/
+	cat gcc.properties \
+	    >> build/bin/org/eclipse/jdt/internal/compiler/batch/messages.properties
 	rm -rf build/bin/org/eclipse/jdt/internal/compiler/apt
 	rm -rf build/bin/org/eclipse/jdt/internal/compiler/tool
 
@@ -154,12 +156,12 @@
   ifeq (0,1)
 	: # ecj-gcj
 	time $(GCJ) \
-	    -O1 -g -Wl,-O1 -Wl,-rpath,$(GCJSUBDIR) \
+	    -O1 -g -Wl,-O1 -Wl,-rpath,$(GCJSUBDIR) -Wl,-z,relro \
 	    --main=org.eclipse.jdt.internal.compiler.batch.Main \
 	    -o build/dist/ecj-gcj build/exe/ecj-standalone.jar
 	: # ecj1
 	time $(GCJ) \
-	    -O1 -g -Wl,-O1 -Wl,-rpath,$(GCJSUBDIR) \
+	    -O1 -g -Wl,-O1 -Wl,-rpath,$(GCJSUBDIR) -Wl,-z,relro \
 	    --main=org.eclipse.jdt.internal.compiler.batch.GCCMain \
 	    -o build/dist/ecj1 build/exe/ecj-standalone.jar
   endif
@@ -224,8 +226,8 @@
 
 RR=../cvs/R3_5_maintenance/
 RR=../cvs/R3_5_1/
-RR=R3_8_2/
-tag = R3_8_2
+RR=R4_3_1/
+tag = R4_3_1
 
 MAVEN_REPO  := http://repo1.maven.org/maven2
 PACKAGE := ecj
@@ -237,9 +239,9 @@
 
 get-source:
 	rm -rf org.eclipse.jdt.core
-	#wget http://git.eclipse.org/c/jdt/eclipse.jdt.core.git/snapshot/R3_8_2.tar.gz
+	#wget http://git.eclipse.org/c/jdt/eclipse.jdt.core.git/snapshot/R4_3_1.tar.gz
 	#git clone -b R3_8_maintenance git://git.eclipse.org/gitroot/jdt/eclipse.jdt.core.git
-	tar xf ../R3_8_2.tar.gz
+	tar xf ../R4_3_1.tar.gz
 	rm -rf tmp-src
 	mkdir -p tmp-src/org.eclipse.jdt.core
 	cp -p $(RR)org.eclipse.jdt.core/scripts/about.html \
@@ -259,5 +261,3 @@
 
 	mkdir -p tmp-src/org.eclipse.jdt.core/META-INF/services
 #	cp -p $(RR)org.eclipse.jdt.core/scripts/META-INF/MANIFEST.MF \
-#	    tmp-src/org.eclipse.jdt.core/META-INF/
-	printf 'org.eclipse.jdt.internal.compiler.tool.EclipseCompiler #Eclipse compiler' \
