## ecj 3.10.1~rc2

=== debian/changelog ===
ecj (3.10.1~rc2-1) unstable; urgency=medium

  * Upstream 3.10.1 release candidate 2.
  * Update package descriptions.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Aug 2014 22:30:08 +0200

ecj (3.10.0+3.10.0-2) experimental; urgency=medium

  * Fix Bug 438812 - Missing bridge methods in indirect child classes.
    Closes: #753315.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Aug 2014 14:57:09 +0200

ecj (3.10.0+3.10.0-1) experimental; urgency=medium

  * Upload to experimental, unstable has 3.9.0 again (see #753315).

 -- Matthias Klose <doko@debian.org>  Sat, 05 Jul 2014 16:12:54 +0200

ecj (3.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (built from the R4_4 tag, identifies itself as 3.10.0)
    - Refreshed gcc-changes.diff
    - Added a patch fixing compilation errors caused by @Override annotations
    - Updated the version of the Maven pom
    - Added the new -1.8 option in the manpages
  * debian/control:
    - Removed the recommended dependency on a JRE for libecj-java
    - Added the Homepage and the Vcs-* fields
  * Switch to debhelper level 9
  * Call 'set -e' in the body of the ecj maintainer scripts
  * Fixed a typo in the ecj manpages
  * Added a watch file
  * debian/rules:
    - Renamed the get-source target to get-orig-source and completed
      the script to build the upstream tarball.
    - Removed the option to build with the old ant1.7 package
    - Reduced the number of warnings during the compilation
    - Replace the bundle_version parameter with the actual version
      in message.properties
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 26 Jun 2014 17:45:28 +0200

ecj (3.9.0-2) unstable; urgency=medium

  * Build using gcj-4.9.

 -- Matthias Klose <doko@debian.org>  Sat, 03 May 2014 16:46:31 +0200
