=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: cdbs (>= 0.4.90ubuntu9), debhelper (>= 5),
- gcj-jdk (>= 4:4.8.1),
+Build-Depends: cdbs (>= 0.4.90ubuntu9), debhelper (>= 9),
+ gcj-4.9-jdk (>= 4.9.1),
  libgcj-bc (>= 4.6.3),
- libecj-java (>= 3.8.2) [arm], unzip [arm],
  fastjar, ant, zip, dpkg (>= 1.13.19), python, time
 Build-Depends-Indep: maven-repo-helper
 Build-Conflicts: ecj-bootstrap-gcj (<< 3.8.2)
 Standards-Version: 3.9.5
+Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/ecj
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/ecj/
+Homepage: http://www.eclipse.org/jdt/core/index.php
 
 Package: ecj
 Architecture: any
@@ -22,19 +24,18 @@
 Description: standalone version of the Eclipse Java compiler
  This package provides a standalone version of the Eclipse JDT compiler which
  is distributed as part of Eclipse. It passes the JCK (Java Compatibility Kit)
- and is compatible with Java 1.3, 1.4, 1.5, 1.6 and 1.7.
+ and is compatible with Java 1.3, 1.4, 1.5, 1.6, 1.7 and 1.8.
 
 Package: libecj-java
 Architecture: all
 Depends: java-common (>= 0.23), ${misc:Depends}
 Conflicts: ecj-bootstrap (<< 3.2.2), eclipse-ecj
 Replaces: ecj-bootstrap (<< 3.2.2), eclipse-ecj, ecj (<< 3.3.0-1)
-Recommends: default-jre-headless | java2-runtime-headless | java5-runtime-headless
 Suggests: ecj, ant, libecj-java-gcj
 Description: Eclipse Java compiler (library)
  This package provides a standalone version of the Eclipse JDT compiler library
  which is distributed as part of Eclipse. It passes the JCK (Java Compatibility
- Kit) and is compatible with Java 1.3, 1.4, 1.5, 1.6 and 1.7.
+ Kit) and is compatible with Java 1.3, 1.4, 1.5, 1.6, 1.7 and 1.8.
 
 Package: libecj-java-gcj
 Architecture: any
@@ -43,12 +44,12 @@
 Description: Eclipse Java compiler (native library)
  This package provides a standalone version of the Eclipse JDT compiler library
  which is distributed as part of Eclipse. It passes the JCK (Java Compatibility
- Kit) and is compatible with Java 1.3, 1.4, 1.5, 1.6 and 1.7.
+ Kit) and is compatible with Java 1.3, 1.4, 1.5, 1.6, 1.7 and 1.8.
  .
  This package contains a native version of libecj-java built using gcj.
 
 Package: ecj1
-Architecture: alpha arm armel armhf
+Architecture: alpha armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: java byte code compiler used by gcj
  This package provides a standalone version of the java byte code compiler
@@ -64,6 +65,6 @@
 Description: standalone version of the Eclipse Java compiler (native version)
  This package provides a standalone version of the Eclipse JDT compiler which
  is distributed as part of Eclipse. It passes the JCK (Java Compatibility Kit)
- and is compatible with Java 1.3, 1.4, 1.5, 1.6 and 1.7.
+ and is compatible with Java 1.3, 1.4, 1.5, 1.6, 1.7 and 1.8.
  .
  This package contains a native version of ecj built using gcj.
