## ecj 3.10.1

=== debian/changelog ===
ecj (3.10.1-2) unstable; urgency=medium

  * Build using GCC 5.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Sep 2015 01:32:26 +0200

ecj (3.10.1-1) unstable; urgency=medium

  * Upstream 3.10.1 release (marketing version 4.4.1).

 -- Matthias Klose <doko@debian.org>  Tue, 30 Sep 2014 16:38:20 +0200
