=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: cdbs (>= 0.4.90ubuntu9), debhelper (>= 9),
- gcj-4.9-jdk (>= 4.9.1),
- libgcj-bc (>= 4.6.3),
+ gcj-5-jdk,
+ libgcj-bc,
  fastjar, ant, zip, dpkg (>= 1.13.19), python, time
 Build-Depends-Indep: maven-repo-helper
 Build-Conflicts: ecj-bootstrap-gcj (<< 3.8.2)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/ecj
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/ecj/
 Homepage: http://www.eclipse.org/jdt/core/index.php
