=== debian/rules ===
--- 
+++ 
@@ -5,18 +5,21 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+VERSION       := $(shell dpkg-parsechangelog --show-field Version | sed 's/-[^-]*//')
+UVERSION      := $(shell echo $(VERSION) | sed 's/~.*//')
+
 GCC_VERSION   := $(shell ls -l /usr/bin/gcj | sed 's/.*-> gcj-\(.*\)/\1/')
+GCC_VERSION   := 5
 
 LIBGCJ_EXT    := $(shell ls -l /usr/lib/$(DEB_HOST_MULTIARCH)/libgcj_bc.so.1 | sed 's/.*\.//')
 LIBGCJ_SOVER  = $(LIBGCJ_EXT)
+LIBGCJ_SOVER  = 16
 REQ_VERSION   = 4.4.6
 
-ant_version = 1.7
-ant_version =
 GCJ = gcj-$(GCC_VERSION)
 GIJ = gij-$(GCC_VERSION)
 GCJDBTOOL = gcj-dbtool-$(GCC_VERSION)
-GCJSUBDIR = /usr/lib/gcj-$(GCC_VERSION)-$(LIBGCJ_SOVER)
+GCJSUBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)/gcj-$(GCC_VERSION)-$(LIBGCJ_SOVER)
 
 # work around ecj1 having fallen out of the gcc search path
 PATH := $(CURDIR):$(PATH)
@@ -48,10 +51,8 @@
 
 build/stamp-bytecode:
 ifneq (,$(findstring $(DEB_HOST_ARCH),arm))
-	@echo 'ecj is not built anymore on this architecture.'
-	@echo 'People insist on 100% compatible packages without providing any help.'
-	@echo 'The porter lists are quiet on the topic of better gij/gcj support for'
-	@echo 'these architectures.'
+	@echo 'Sorry ecj is no longer built on $(DEB_HOST_ARCH) due to a lack of porters'
+	@echo 'supporting gij/gcj on this architecture. Please consider helping if you can.'
 	false
 endif
 	rm -rf build/bin
@@ -64,6 +65,10 @@
 	rm -rf build/bin/org/eclipse/jdt/internal/compiler/apt
 	rm -rf build/bin/org/eclipse/jdt/internal/compiler/tool
 
+	# Replace the bundle_version parameter with the actual version
+	sed -i 's/bundle_qualifier, bundle_version/$(UVERSION)/' \
+	    build/bin/org/eclipse/jdt/internal/compiler/batch/messages.properties
+
 	find build/bin -name '*.java' > build/sourcefiles
 	split -l 25 build/sourcefiles ecj-sources.
 	ls -l
@@ -75,12 +80,13 @@
 	for list in $$(find build/bin -name 'ecj-sources.*'); do \
 	    echo "building files in $$list ..."; \
 	    echo $(GCJ) -d build/bin -C -g \
-		-I/usr/share/ant$(ant_version)/lib/ant.jar \
+		-I/usr/share/ant/lib/ant.jar \
 		-Ibuild/bin \
 		$$(cat $$list); \
 	    $(GCJ) -v -d build/bin -C -g \
-		-I/usr/share/ant$(ant_version)/lib/ant.jar \
+		-I/usr/share/ant/lib/ant.jar \
 		-Ibuild/bin \
+	        -Wno-all -Wno-unchecked -Wno-raw -Wno-resource \
 		$$(cat $$list); \
 	done
 
@@ -101,8 +107,12 @@
 	rm -rf build/bin/org/eclipse/jdt/internal/compiler/apt
 	rm -rf build/bin/org/eclipse/jdt/internal/compiler/tool
 
+	# Replace the bundle_version parameter with the actual version
+	sed -i 's/bundle_qualifier, bundle_version/$(UVERSION)/' \
+	    build/bin/org/eclipse/jdt/internal/compiler/batch/messages.properties
+
 	time $(GIJ) \
-	    -classpath build/bootstrap/$(JAR):/usr/share/ant$(ant_version)/lib/ant.jar \
+	    -classpath build/bootstrap/$(JAR):/usr/share/ant/lib/ant.jar \
 	    org.eclipse.jdt.internal.compiler.batch.Main \
 	    -bootclasspath /usr/share/java/libgcj-$(GCC_VERSION).jar \
 	    build/bin
@@ -224,10 +234,8 @@
 	rm -f debian/*.pyc ecj1
 	rm -rf debian/.mh
 
-RR=../cvs/R3_5_maintenance/
-RR=../cvs/R3_5_1/
-RR=R4_3_1/
-tag = R4_3_1
+TAG = R4_4
+DIR = ecj-$(DEB_UPSTREAM_VERSION)
 
 MAVEN_REPO  := http://repo1.maven.org/maven2
 PACKAGE := ecj
@@ -237,27 +245,17 @@
 	wget  -U NoSuchBrowser/1.0 -O debian/poms/$(PACKAGE).pom \
         $(MAVEN_REPO)/org/eclipse/jdt/core/compiler/$(PACKAGE)/$(DEB_UPSTREAM_VERSION)/$(PACKAGE)-$(DEB_UPSTREAM_VERSION).pom
 
-get-source:
-	rm -rf org.eclipse.jdt.core
-	#wget http://git.eclipse.org/c/jdt/eclipse.jdt.core.git/snapshot/R4_3_1.tar.gz
-	#git clone -b R3_8_maintenance git://git.eclipse.org/gitroot/jdt/eclipse.jdt.core.git
-	tar xf ../R4_3_1.tar.gz
-	rm -rf tmp-src
-	mkdir -p tmp-src/org.eclipse.jdt.core
-	cp -p $(RR)org.eclipse.jdt.core/scripts/about.html \
-		tmp-src/org.eclipse.jdt.core/
-	cp -p $(RR)org.eclipse.jdt.core/scripts/build.xml \
-		tmp-src/org.eclipse.jdt.core/
-	tar -c -f - -C $(RR)org.eclipse.jdt.core/compiler org \
-	    | tar -x -f - -C tmp-src/org.eclipse.jdt.core/
-
-	tar -c -f - -C $(RR)org.eclipse.jdt.core/antadapter org META-INF \
-	    | tar -x -f - -C tmp-src/org.eclipse.jdt.core/
-	find tmp-src -name CheckDebugAttributes.java | xargs -r rm -f
-	find tmp-src -name BuildJarIndex.java | xargs -r rm -f
-
-	tar -c -f - -C $(RR)org.eclipse.jdt.core/batch org \
-	    | tar -x -f - -C tmp-src/org.eclipse.jdt.core/
-
-	mkdir -p tmp-src/org.eclipse.jdt.core/META-INF/services
-#	cp -p $(RR)org.eclipse.jdt.core/scripts/META-INF/MANIFEST.MF \
+get-orig-source:
+	rm -rf $(DIR) $(TAG).tar.gz $(TAG)
+	wget http://git.eclipse.org/c/jdt/eclipse.jdt.core.git/snapshot/$(TAG).tar.gz
+	tar xf $(TAG).tar.gz
+	mkdir -p $(DIR)/src/org.eclipse.jdt.core
+	cp -p $(TAG)/org.eclipse.jdt.core/scripts/about.html \
+		$(DIR)/src/org.eclipse.jdt.core/
+	cp -p $(TAG)/org.eclipse.jdt.core/scripts/build.xml \
+		$(DIR)/src/org.eclipse.jdt.core/
+
+	tar -c -f - -C $(TAG)/org.eclipse.jdt.core/compiler org \
+	    | tar -x -f - -C $(DIR)/src/org.eclipse.jdt.core/
+
+	tar -c -f - -C $(TAG)/org.eclipse.jdt.core/antadapter org META-INF \
