=== debian/watch ===
version=3
#
# There is a mismatch between the version of the Eclipse Platform which is used
# to tag the upstream source repository and the version of the Eclipse Compiler.
# The package caries the version of the compiler and the version of the platform
# has to be hardcoded here to detect the new releases.
#
opts="uversionmangle=s/_/./g,dversionmangle=s/.*/4.4/" \
http://git.eclipse.org/c/jdt/eclipse.jdt.core.git/refs/tags .*/R([\d_]+).tar.gz
