## ecj 3.11.0

=== debian/changelog ===
ecj (3.11.0-5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Aug 2016 15:32:58 +0200

ecj (3.11.0-5) unstable; urgency=medium

  * Work around build failures on amd64 and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Aug 2016 12:28:08 +0200

ecj (3.11.0-4) unstable; urgency=medium

  * Build using GCC 6.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Aug 2016 09:03:11 +0200

ecj (3.11.0-2) unstable; urgency=medium

  * Team upload.
  * Build with the DH sequencer instead of CDBS (Closes: #806020)
  * Fixed a sporadic NullPointerException in ReadManager during the build
  * Converted debian/copyright to the Copyright Format 1.0
  * Updated the version of the Maven pom
  * debian/rules: Let DH install the .lintian-overrides files

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 01 Aug 2016 10:03:21 +0200

ecj (3.11.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 14 Jun 2016 14:09:51 +0200

ecj (3.11.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release (built from the R4_5 tag, identifies itself as 3.11.0)
    - Refreshed the patches
    - Fixes a compiler crash (Closes: #819189)
  * Standards-Version updated to 3.9.8 (no changes)
  * Use a secure Vcs-Browser URL

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 18 May 2016 18:12:58 +0200
