=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-include /usr/share/cdbs/1/rules/debhelper.mk
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -9,11 +7,11 @@
 UVERSION      := $(shell echo $(VERSION) | sed 's/~.*//')
 
 GCC_VERSION   := $(shell ls -l /usr/bin/gcj | sed 's/.*-> gcj-\(.*\)/\1/')
-GCC_VERSION   := 5
+GCC_VERSION   := 4.9
 
 LIBGCJ_EXT    := $(shell ls -l /usr/lib/$(DEB_HOST_MULTIARCH)/libgcj_bc.so.1 | sed 's/.*\.//')
 LIBGCJ_SOVER  = $(LIBGCJ_EXT)
-LIBGCJ_SOVER  = 16
+LIBGCJ_SOVER  = 15
 REQ_VERSION   = 4.4.6
 
 GCJ = gcj-$(GCC_VERSION)
@@ -29,6 +27,10 @@
 with_rebuild := yes
 with_sourcebuild := yes
 
+ifneq (,$(filter $(DEB_HOST_ARCH), s390x))
+  with_sourcebuild :=
+endif
+
 ifneq (,$(filter $(DEB_HOST_ARCH), arm armel))
   with_rebuild := no
 endif
@@ -43,11 +45,14 @@
 
 JAR = eclipse-ecj.jar
 
-default: build
-
 eclipse_root = $(CURDIR)/../eclipse
 
-build/ecj:: build/stamp-bytecode build/stamp-nativecode
+%:
+	dh $@
+
+override_dh_auto_build-indep: build/stamp-bytecode
+
+override_dh_auto_build-arch: build/stamp-nativecode
 
 build/stamp-bytecode:
 ifneq (,$(findstring $(DEB_HOST_ARCH),arm))
@@ -179,19 +184,22 @@
 	touch build/stamp-nativecode
 
 
-install/libecj-java::
+override_dh_install-indep:
+	dh_install -i
+
 	mh_installpoms -plibecj-java
 	mh_installjar -plibecj-java -l debian/poms/ecj.pom build/dist/$(JAR) \
 		--usj-name=eclipse-ecj
 
-install/ecj::
+override_dh_install-arch:
+	# ecj
 	mkdir -p debian/tmp/usr/bin
 	sed 's/@ver@/$(GCC_VERSION)/g' debian/ecj.in \
 	  > debian/tmp/usr/bin/ecj
 	chmod 755 debian/tmp/usr/bin/ecj
 
-install/libecj-java-gcj::
-ifeq ($(with_native),yes)
+ifeq ($(with_native),yes)
+	# libecj-java-gcj
 	mkdir -p debian/tmp/usr/lib/gcj
 	install -m 644 build/dist/$(JAR).so debian/tmp/usr/lib/gcj
 
@@ -200,15 +208,15 @@
 		debian/tmp/usr/share/gcj/classmap.d/
 endif
 
-install/ecj1::
-ifeq ($(with_native),yes)
+ifeq ($(with_native),yes)
+	# ecj1::
 	mkdir -p debian/ecj1/usr/lib/$(DEB_HOST_MULTIARCH)/gcc
 	install -m 755 build/exe/ecj1 debian/ecj1/usr/lib/$(DEB_HOST_MULTIARCH)/gcc/
 	dh_link -p ecj1 \
 	  /usr/lib/$(DEB_HOST_MULTIARCH)/gcc/ecj1 /usr/lib/gcc/ecj1
 endif
 
-install/ecj-gcj::
+	# ecj-gcj
 ifeq ($(with_native),yes)
 	mkdir -p debian/tmp/usr/bin
 	install -m 755 build/exe/ecj-gcj debian/tmp/usr/bin/
@@ -219,22 +227,16 @@
 	ln -sf ecj.1.gz \
 	  debian/ecj-gcj/usr/share/man/man1/ecj-gcj.1.gz
 
-	mkdir -p debian/ecj-gcj/usr/share/lintian/overrides
-	cp -p debian/ecj-gcj.overrides \
-	  debian/ecj-gcj/usr/share/lintian/overrides/ecj-gcj
-
-binary-predeb/ecj1::
-#	sed -i 's/libgcj[1-9][^,]*//;s/,,/,/' debian/ecj1.substvars
-
-binary-predeb/ecj-gcj::
-#	sed -i 's/libgcj[1-9][^,]*//;s/,,/,/' debian/ecj-gcj.substvars
-
-clean::
+	dh_install -a
+
+
+override_dh_clean:
+	dh_clean
 	rm -rf build
 	rm -f debian/*.pyc ecj1
 	rm -rf debian/.mh
 
-TAG = R4_4
+TAG = R4_5
 DIR = ecj-$(DEB_UPSTREAM_VERSION)
 
 MAVEN_REPO  := http://repo1.maven.org/maven2
@@ -259,3 +261,8 @@
 	    | tar -x -f - -C $(DIR)/src/org.eclipse.jdt.core/
 
 	tar -c -f - -C $(TAG)/org.eclipse.jdt.core/antadapter org META-INF \
+	    | tar -x -f - -C $(DIR)/src/org.eclipse.jdt.core/
+
+	find $(DIR) -name CheckDebugAttributes.java | xargs -r rm -f
+	find $(DIR) -name BuildJarIndex.java | xargs -r rm -f
+
