=== debian/watch ===
--- 
+++ 
@@ -5,5 +5,5 @@
 # The package caries the version of the compiler and the version of the platform
 # has to be hardcoded here to detect the new releases.
 #
-opts="uversionmangle=s/_/./g,dversionmangle=s/.*/4.4/" \
+opts="uversionmangle=s/_/./g,dversionmangle=s/.*/4.5/" \
 http://git.eclipse.org/c/jdt/eclipse.jdt.core.git/refs/tags .*/R([\d_]+).tar.gz
