## ecj 3.11.1

=== debian/changelog ===
ecj (1:3.11.1-1) unreleased; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 11 Jan 2017 21:38:57 +0100

ecj (3.11.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release (from the R4_5_1 tag, identifies itself as 3.11.1)
    - Refreshed the patches
    - Updated the version of the Maven pom

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Jan 2017 23:34:53 +0100

ecj (3.11.0-7) unstable; urgency=medium

  * Try to work around build failures on m68k, powerpcspe, ppc64 sh4, sparc64.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Sep 2016 10:54:29 +0200

ecj (3.11.0-6) unstable; urgency=medium

  * Build ecj1 on any architecture.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Sep 2016 16:33:15 +0200
