=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9), gcj-4.9-jdk, libgcj-bc, fastjar, ant, zip, unzip, dpkg (>= 1.13.19), python, time
+Build-Depends: debhelper (>= 9), gcj-6-jdk, libgcj-bc, fastjar, ant, zip, unzip, dpkg (>= 1.13.19), python, time
 Build-Depends-Indep: maven-repo-helper, default-jre-headless
 Build-Conflicts: ecj-bootstrap-gcj (<< 3.8.2)
 Standards-Version: 3.9.8
@@ -46,7 +46,7 @@
  This package contains a native version of libecj-java built using gcj.
 
 Package: ecj1
-Architecture: alpha armel armhf
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: java byte code compiler used by gcj
  This package provides a standalone version of the java byte code compiler
