=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,11 @@
 UVERSION      := $(shell echo $(VERSION) | sed 's/~.*//')
 
 GCC_VERSION   := $(shell ls -l /usr/bin/gcj | sed 's/.*-> gcj-\(.*\)/\1/')
-GCC_VERSION   := 4.9
+GCC_VERSION   := 6
 
 LIBGCJ_EXT    := $(shell ls -l /usr/lib/$(DEB_HOST_MULTIARCH)/libgcj_bc.so.1 | sed 's/.*\.//')
 LIBGCJ_SOVER  = $(LIBGCJ_EXT)
-LIBGCJ_SOVER  = 15
+LIBGCJ_SOVER  = 17
 REQ_VERSION   = 4.4.6
 
 GCJ = gcj-$(GCC_VERSION)
@@ -27,7 +27,7 @@
 with_rebuild := yes
 with_sourcebuild := yes
 
-ifneq (,$(filter $(DEB_HOST_ARCH), s390x))
+ifneq (,$(filter $(DEB_HOST_ARCH), m68k powerpcspe ppc64 s390x sh4 sparc64))
   with_sourcebuild :=
 endif
 
@@ -236,8 +236,8 @@
 	rm -f debian/*.pyc ecj1
 	rm -rf debian/.mh
 
-TAG = R4_5
-DIR = ecj-$(DEB_UPSTREAM_VERSION)
+TAG = R4_5_1
+DIR = ecj-$(VERSION)
 
 MAVEN_REPO  := http://repo1.maven.org/maven2
 PACKAGE := ecj
@@ -245,7 +245,7 @@
 get-orig-pom:
 	mkdir -p debian/poms
 	wget  -U NoSuchBrowser/1.0 -O debian/poms/$(PACKAGE).pom \
-        $(MAVEN_REPO)/org/eclipse/jdt/core/compiler/$(PACKAGE)/$(DEB_UPSTREAM_VERSION)/$(PACKAGE)-$(DEB_UPSTREAM_VERSION).pom
+        $(MAVEN_REPO)/org/eclipse/jdt/core/compiler/$(PACKAGE)/$(VERSION)/$(PACKAGE)-$(VERSION).pom
 
 get-orig-source:
 	rm -rf $(DIR) $(TAG).tar.gz $(TAG)
