## ecj 3.13.3

=== debian/changelog ===
ecj (3.13.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (from the R4_7_3 tag, identifies itself as 3.13.3)
  * Updated the package description

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 17 Apr 2018 16:40:08 +0200

ecj (3.13.2-2) unstable; urgency=medium

  * Team upload.
  * Restored the CompilerOptions.VERSION_1_9 constant to preserve
    the backward compatibility

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Apr 2018 13:05:11 +0200

ecj (3.13.2-1) unstable; urgency=medium

  * New upstream release (from the R4_7_2 tag, identifies itself as 3.13.2)
    - Removed an optional dependency on the dom module
    - Updated the version of the Maven pom
  * Standards-Version updated to 4.1.4

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Apr 2018 15:38:54 +0200

ecj (3.12.3-1) unstable; urgency=medium

  * New upstream release (from the R4_6_3 tag, identifies itself as 3.12.3)
    (Closes: #891259)
    - Removed the patches
    - Updated the version of the Maven pom
  * No longer build the -gcj packages (Closes: #892531)
  * Build the compiler.apt classes
  * Use the upstream man page for ecj
  * Removed the Conflicts/Replaces fields referencing very old packages
  * Removed the build dependency on dpkg
  * Download the upstream tarball with uscan and preserve the upstream project
    structure (minus the tests)
  * Added debian/README.source documenting the upgrade process
  * Added myself to the uploaders
  * Removed Matthias Klose from the uploaders
  * Moved the package to Git
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11
  * Updated debian/watch
  * Use a secure URL for the debian/copyright Format field

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 28 Mar 2018 00:00:00 +0200

ecj (3.11.1-2) unstable; urgency=medium

  * Team upload.
  * Relocate org.eclipse.jdt:ecj to org.eclipse.jdt.core.compiler:ecj

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 04 Jul 2017 13:14:22 +0200

ecj (3.11.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 11 Jan 2017 21:38:57 +0100

ecj (3.10.0+3.9.0-3) unstable; urgency=medium

  * Add Vcs attributes to the control file.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Jul 2014 19:01:18 +0200

ecj (3.10.0+3.9.0-2) unstable; urgency=medium

  * Disable the source build and build the architecture dependent packages
    from the libecj-java in the archive.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Jul 2014 15:14:50 +0200

ecj (3.10.0+3.9.0-1) unstable; urgency=high

  * Revert back to 3.9.0, as long as #753315 is not fixed.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Jul 2014 15:55:57 +0200
