## ecj 3.14.0

=== debian/changelog ===
ecj (3.14.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 04 Dec 2018 13:17:13 +0100

ecj (3.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (from the R4_8 tag, identifies itself as 3.14.0)
    - Refreshed the patches
    - Updated the version of the Maven pom
    - Fixed the man page
  * Standards-Version updated to 4.2.0
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 06 Aug 2018 19:48:52 +0200
