=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends:
  ant,
  debhelper (>= 11),
- default-jdk-headless,
+ openjdk-11-jdk,
  maven-repo-helper
-Standards-Version: 4.1.4
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/ecj.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/ecj.git
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/java-team/ecj.git
+Vcs-Browser: https://salsa.debian.org/java-team/ecj
 Homepage: http://www.eclipse.org/jdt/core/index.php
 
 Package: ecj
