=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export JAVA_HOME)/usr/lib/jvm/java-1.11-openjdk-${DEB_HOST_ARCH}

VERSION       := $(shell dpkg-parsechangelog --show-field Version | sed 's/-[^-]*//')
UVERSION      := $(shell echo $(VERSION) | sed 's/~.*//')

%:
	dh $@ --buildsystem=ant --with maven-repo-helper

override_dh_auto_build:
	dh_auto_build -- -f debian/build.xml -Dversion=$(UVERSION)

override_dh_auto_clean:

get-orig-pom:
	mkdir -p debian/poms
	wget  -U NoSuchBrowser/1.0 -O debian/poms/ecj.pom \
        https://repo1.maven.org/maven2/org/eclipse/jdt/core/compiler/ecj/$(VERSION)/ecj-$(VERSION).pom
